Bug 167405 - Review Request: perl-Hook-LexWrap - Lexically scoped subroutine wrappers
Summary: Review Request: perl-Hook-LexWrap - Lexically scoped subroutine wrappers
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: David Lawrence
URL: http://gsd.di.uminho.pt/jpo/software/...
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT 168227
TreeView+ depends on / blocked
 
Reported: 2005-09-02 13:17 UTC by Jose Pedro Oliveira
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-10 01:28:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2005-09-02 13:17:13 UTC
Spec Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Hook-LexWrap.spec
SRPM Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Hook-LexWrap-0.20-1.src.rpm

Description:
Hook::LexWrap allows you to install a pre- or post-wrapper (or both)
around an existing subroutine. Unlike other modules that provide this
capacity (e.g. Hook::PreAndPost and Hook::WrapSub), Hook::LexWrap
implements wrappers in such a way that the standard `caller' function
works correctly within the wrapped subroutine.

Note:
This package is an RT 3.4 requirement

Comment 1 Ralf Corsepius 2005-09-02 13:45:45 UTC
APPROVED

Comment 2 Paul Howarth 2005-09-02 13:56:15 UTC
Package still has redundant BR: perl and does not include text of either GPL or
Artistic license.

Comment 3 Ralf Corsepius 2005-09-04 09:51:04 UTC
(In reply to comment #2)
> Package still has redundant BR: perl and does not include text of either GPL or
> Artistic license
I read this as a  formal veto. Therefore, I am assigning the package to Paul,
and push it back to FE-REVIEW.

Comment 4 Jose Pedro Oliveira 2005-09-05 17:36:50 UTC
I have no plans of adding license files not include in the source tarball.

People installing only the binary RPMS won't be able to know if they were
added by the author or by a third party, and I don't want to induce someone
in error if I make mistakes (shipping incomplete license info, placing the
wrong license, ...).

So as of this moment I am also stopping updating/reviewing/approving packages.

Comment 5 Jose Pedro Oliveira 2005-09-09 11:03:04 UTC
CVS devel branch:
Added a comment about the license files location to the specfile.

Comment 6 Tom "spot" Callaway 2005-09-10 00:45:58 UTC
This package now meets the updated policy. Approved.

Comment 7 Jose Pedro Oliveira 2005-09-10 01:28:22 UTC
Thanks.

Comment 8 Paul Howarth 2005-09-10 08:45:56 UTC
(In reply to comment #6)
> This package now meets the updated policy. Approved.

Which updated policy? I haven't seen anything on -maintainers or
fedora-extras-list, nor have the package review guidelines been updated. What
did I miss?

Comment 9 Jose Pedro Oliveira 2005-09-12 11:39:19 UTC
Paul,

The temporary [1] policy update was only posted to the FESCO mailling list.

/jpo

[1] - We are still waiting for Legal feedback.


Note You need to log in before you can comment on or make changes to this bug.